library verilog;
use verilog.vl_types.all;
entity Analog_smev_wrapper is
    port(
        CLK             : in     vl_logic;
        NRESET          : in     vl_logic;
        ASSC_SEQOUT     : in     vl_logic_vector(5 downto 0);
        ASSC_SEQCHANGE  : in     vl_logic;
        ASSC_DONE       : in     vl_logic;
        ASSC_SAMPFLAG   : in     vl_logic;
        ASSC_RAM_WR_BUSY_B: in     vl_logic;
        ADC_CHNR        : in     vl_logic_vector(4 downto 0);
        EV_CHHOLD       : out    vl_logic_vector(4 downto 0);
        INIT_ADDR       : in     vl_logic_vector(8 downto 0);
        INIT_EV_WR      : in     vl_logic;
        INIT_DI         : in     vl_logic_vector(8 downto 0);
        INIT_DONE       : in     vl_logic;
        USER_EV_ADDR    : in     vl_logic_vector(8 downto 0);
        USER_EV_RD      : in     vl_logic;
        USER_EV_RAM_BUSY: out    vl_logic;
        TR_EV_ADDR      : in     vl_logic_vector(8 downto 0);
        TR_EV_RD        : in     vl_logic;
        EV_EVFLAG       : out    vl_logic;
        EV_DONE         : out    vl_logic;
        EV_ASSC_ADDR    : out    vl_logic_vector(8 downto 0);
        EV_ASSC_RD      : out    vl_logic;
        ASSC_RAM_DO_A   : in     vl_logic_vector(8 downto 0);
        EV_RAM_ADDR_A   : out    vl_logic_vector(8 downto 0);
        EV_RAM_RW_A     : out    vl_logic;
        EV_RAM_CSN_A    : out    vl_logic;
        EV_RAM_DI_A     : out    vl_logic_vector(8 downto 0);
        EV_RAM_ADDR_B   : out    vl_logic_vector(8 downto 0);
        EV_RAM_RW_B     : out    vl_logic;
        EV_RAM_CSN_B    : out    vl_logic;
        EV_RAM_DI_B     : out    vl_logic_vector(8 downto 0);
        EV_RAM_DO_B     : in     vl_logic_vector(8 downto 0);
        EV_RAM_WR_BUSY_B: out    vl_logic
    );
end Analog_smev_wrapper;
