onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -divider {Top Level Signals}
add wave -noupdate -format Logic /testbench/CLK40M
add wave -noupdate -format Logic /testbench/SYS_RESET
add wave -noupdate -format Logic /testbench/INIT_POWER_UP
add wave -noupdate -format Logic /testbench/ATRETURN01
add wave -noupdate -format Logic /testbench/AV5V
add wave -noupdate -format Logic /testbench/Temp
add wave -noupdate -format Logic /testbench/VAREF
add wave -noupdate -format Logic /testbench/Supply_good
add wave -noupdate -format Logic /testbench/Over_temp
add wave -noupdate -divider {Stimulus Block Signals}
add wave -noupdate -format Literal /testbench/stimulus_0/AV5V_driver
add wave -noupdate -format Literal /testbench/stimulus_0/Temp_driver
add wave -noupdate -divider {Analog Block Signals}
add wave -noupdate -format Logic /testbench/VT_Mon_0/Analog_inst/AB_INST/ACMCLK
add wave -noupdate -format Logic /testbench/VT_Mon_0/Analog_inst/SYS_CLK
add wave -noupdate -format Logic /testbench/VT_Mon_0/Analog_inst/INIT_DONE
add wave -noupdate -format Logic /testbench/VT_Mon_0/Analog_inst/AB_INST/CALIBRATE
add wave -noupdate -format Literal -radix unsigned /testbench/VT_Mon_0/Analog_inst/AB_INST/CHNUMBER
add wave -noupdate -divider {Voltage Monitor Flags}
add wave -noupdate -format Logic /testbench/VT_Mon_0/Analog_inst/AV5V_under4p75
add wave -noupdate -format Logic /testbench/VT_Mon_0/Analog_inst/AV5V_over5p25
add wave -noupdate -divider {Temperature Monitor Flag}
add wave -noupdate -format Logic /testbench/VT_Mon_0/Analog_inst/Temp_over70C
add wave -noupdate -divider {Gate Driver Enables}
add wave -noupdate -format Logic /testbench/VT_Mon_0/Analog_inst/Over_temp_en
add wave -noupdate -format Logic /testbench/VT_Mon_0/Analog_inst/Supply_good_en
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 3} {500060 ps} 0}
configure wave -namecolwidth 213
configure wave -valuecolwidth 40
configure wave -justifyvalue left
configure wave -signalnamewidth 2
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
update
WaveRestoreZoom {0 ps} {2100 us}
