`timescale 1 ns/100 ps
// Version: 7.3 7.3.0.29


module NVM_sys(
       INIT_CLK,
       SYS_RESET,
       INIT_POWER_UP,
       INIT_DONE,
       INIT_DATA,
       INIT_ADDR,
       INIT_ACM_WEN,
       INIT_ASSC_WEN,
       INIT_EV_WEN,
       INIT_TR_WEN
    );
input  INIT_CLK;
input  SYS_RESET;
input  INIT_POWER_UP;
output INIT_DONE;
output [8:0] INIT_DATA;
output [8:0] INIT_ADDR;
output INIT_ACM_WEN;
output INIT_ASSC_WEN;
output INIT_EV_WEN;
output INIT_TR_WEN;

    wire GND_net, VCC_net, NVM_LOCK_net, NVM_AUX_BLOCK_net, 
        NVM_DAT_TO_net_busnet_31, NVM_DAT_TO_net_busnet_30, 
        NVM_DAT_TO_net_busnet_29, NVM_DAT_TO_net_busnet_28, 
        NVM_DAT_TO_net_busnet_27, NVM_DAT_TO_net_busnet_26, 
        NVM_DAT_TO_net_busnet_25, NVM_DAT_TO_net_busnet_24, 
        NVM_DAT_TO_net_busnet_23, NVM_DAT_TO_net_busnet_22, 
        NVM_DAT_TO_net_busnet_21, NVM_DAT_TO_net_busnet_20, 
        NVM_DAT_TO_net_busnet_19, NVM_DAT_TO_net_busnet_18, 
        NVM_DAT_TO_net_busnet_17, NVM_DAT_TO_net_busnet_16, 
        NVM_DAT_TO_net_busnet_15, NVM_DAT_TO_net_busnet_14, 
        NVM_DAT_TO_net_busnet_13, NVM_DAT_TO_net_busnet_12, 
        NVM_DAT_TO_net_busnet_11, NVM_DAT_TO_net_busnet_10, 
        NVM_DAT_TO_net_busnet_9, NVM_DAT_TO_net_busnet_8, 
        NVM_DAT_TO_net_busnet_7, NVM_DAT_TO_net_busnet_6, 
        NVM_DAT_TO_net_busnet_5, NVM_DAT_TO_net_busnet_4, 
        NVM_DAT_TO_net_busnet_3, NVM_DAT_TO_net_busnet_2, 
        NVM_DAT_TO_net_busnet_1, NVM_DAT_TO_net_busnet_0, 
        NVM_ADD_net_busnet_17, NVM_ADD_net_busnet_16, 
        NVM_ADD_net_busnet_15, NVM_ADD_net_busnet_14, 
        NVM_ADD_net_busnet_13, NVM_ADD_net_busnet_12, 
        NVM_ADD_net_busnet_11, NVM_ADD_net_busnet_10, 
        NVM_ADD_net_busnet_9, NVM_ADD_net_busnet_8, 
        NVM_ADD_net_busnet_7, NVM_ADD_net_busnet_6, 
        NVM_ADD_net_busnet_5, NVM_ADD_net_busnet_4, 
        NVM_ADD_net_busnet_3, NVM_ADD_net_busnet_2, 
        NVM_ADD_net_busnet_1, NVM_ADD_net_busnet_0, 
        NVM_WIDTH_net_busnet_1, NVM_WIDTH_net_busnet_0, NVM_REN_net, 
        NVM_READ_NEXT_net, NVM_WRITE_net, NVM_SPARE_PAGE_net, 
        NVM_PROGRAM_net, NVM_ERASE_PAGE_net, NVM_UNPROT_PAGE_net, 
        NVM_DISCARD_PAGE_net, NVM_OVERWRITE_PROT_net, 
        NVM_PAGELOSS_PROT_net, NVM_PAGE_STATUS_net, 
        NVM_OVERWRITE_PAGE_net, NVM_DAT_FROM_net_busnet_31, 
        NVM_DAT_FROM_net_busnet_30, NVM_DAT_FROM_net_busnet_29, 
        NVM_DAT_FROM_net_busnet_28, NVM_DAT_FROM_net_busnet_27, 
        NVM_DAT_FROM_net_busnet_26, NVM_DAT_FROM_net_busnet_25, 
        NVM_DAT_FROM_net_busnet_24, NVM_DAT_FROM_net_busnet_23, 
        NVM_DAT_FROM_net_busnet_22, NVM_DAT_FROM_net_busnet_21, 
        NVM_DAT_FROM_net_busnet_20, NVM_DAT_FROM_net_busnet_19, 
        NVM_DAT_FROM_net_busnet_18, NVM_DAT_FROM_net_busnet_17, 
        NVM_DAT_FROM_net_busnet_16, NVM_DAT_FROM_net_busnet_15, 
        NVM_DAT_FROM_net_busnet_14, NVM_DAT_FROM_net_busnet_13, 
        NVM_DAT_FROM_net_busnet_12, NVM_DAT_FROM_net_busnet_11, 
        NVM_DAT_FROM_net_busnet_10, NVM_DAT_FROM_net_busnet_9, 
        NVM_DAT_FROM_net_busnet_8, NVM_DAT_FROM_net_busnet_7, 
        NVM_DAT_FROM_net_busnet_6, NVM_DAT_FROM_net_busnet_5, 
        NVM_DAT_FROM_net_busnet_4, NVM_DAT_FROM_net_busnet_3, 
        NVM_DAT_FROM_net_busnet_2, NVM_DAT_FROM_net_busnet_1, 
        NVM_DAT_FROM_net_busnet_0, NVM_BUSY_net, 
        NVM_STATUS_net_busnet_1, NVM_STATUS_net_busnet_0, NVM_CLK_net;
    wire GND_power_net1;
    wire VCC_power_net1;
    assign GND_net = GND_power_net1;
    assign VCC_net = VCC_power_net1;
    
    NVM #( .MEMORYFILE("NVM_sys.mem") )  NVM_INST (.RD({
        NVM_DAT_FROM_net_busnet_31, NVM_DAT_FROM_net_busnet_30, 
        NVM_DAT_FROM_net_busnet_29, NVM_DAT_FROM_net_busnet_28, 
        NVM_DAT_FROM_net_busnet_27, NVM_DAT_FROM_net_busnet_26, 
        NVM_DAT_FROM_net_busnet_25, NVM_DAT_FROM_net_busnet_24, 
        NVM_DAT_FROM_net_busnet_23, NVM_DAT_FROM_net_busnet_22, 
        NVM_DAT_FROM_net_busnet_21, NVM_DAT_FROM_net_busnet_20, 
        NVM_DAT_FROM_net_busnet_19, NVM_DAT_FROM_net_busnet_18, 
        NVM_DAT_FROM_net_busnet_17, NVM_DAT_FROM_net_busnet_16, 
        NVM_DAT_FROM_net_busnet_15, NVM_DAT_FROM_net_busnet_14, 
        NVM_DAT_FROM_net_busnet_13, NVM_DAT_FROM_net_busnet_12, 
        NVM_DAT_FROM_net_busnet_11, NVM_DAT_FROM_net_busnet_10, 
        NVM_DAT_FROM_net_busnet_9, NVM_DAT_FROM_net_busnet_8, 
        NVM_DAT_FROM_net_busnet_7, NVM_DAT_FROM_net_busnet_6, 
        NVM_DAT_FROM_net_busnet_5, NVM_DAT_FROM_net_busnet_4, 
        NVM_DAT_FROM_net_busnet_3, NVM_DAT_FROM_net_busnet_2, 
        NVM_DAT_FROM_net_busnet_1, NVM_DAT_FROM_net_busnet_0}), .BUSY(
        NVM_BUSY_net), .STATUS({NVM_STATUS_net_busnet_1, 
        NVM_STATUS_net_busnet_0}), .ADDR({NVM_ADD_net_busnet_17, 
        NVM_ADD_net_busnet_16, NVM_ADD_net_busnet_15, 
        NVM_ADD_net_busnet_14, NVM_ADD_net_busnet_13, 
        NVM_ADD_net_busnet_12, NVM_ADD_net_busnet_11, 
        NVM_ADD_net_busnet_10, NVM_ADD_net_busnet_9, 
        NVM_ADD_net_busnet_8, NVM_ADD_net_busnet_7, 
        NVM_ADD_net_busnet_6, NVM_ADD_net_busnet_5, 
        NVM_ADD_net_busnet_4, NVM_ADD_net_busnet_3, 
        NVM_ADD_net_busnet_2, NVM_ADD_net_busnet_1, 
        NVM_ADD_net_busnet_0}), .WD({NVM_DAT_TO_net_busnet_31, 
        NVM_DAT_TO_net_busnet_30, NVM_DAT_TO_net_busnet_29, 
        NVM_DAT_TO_net_busnet_28, NVM_DAT_TO_net_busnet_27, 
        NVM_DAT_TO_net_busnet_26, NVM_DAT_TO_net_busnet_25, 
        NVM_DAT_TO_net_busnet_24, NVM_DAT_TO_net_busnet_23, 
        NVM_DAT_TO_net_busnet_22, NVM_DAT_TO_net_busnet_21, 
        NVM_DAT_TO_net_busnet_20, NVM_DAT_TO_net_busnet_19, 
        NVM_DAT_TO_net_busnet_18, NVM_DAT_TO_net_busnet_17, 
        NVM_DAT_TO_net_busnet_16, NVM_DAT_TO_net_busnet_15, 
        NVM_DAT_TO_net_busnet_14, NVM_DAT_TO_net_busnet_13, 
        NVM_DAT_TO_net_busnet_12, NVM_DAT_TO_net_busnet_11, 
        NVM_DAT_TO_net_busnet_10, NVM_DAT_TO_net_busnet_9, 
        NVM_DAT_TO_net_busnet_8, NVM_DAT_TO_net_busnet_7, 
        NVM_DAT_TO_net_busnet_6, NVM_DAT_TO_net_busnet_5, 
        NVM_DAT_TO_net_busnet_4, NVM_DAT_TO_net_busnet_3, 
        NVM_DAT_TO_net_busnet_2, NVM_DAT_TO_net_busnet_1, 
        NVM_DAT_TO_net_busnet_0}), .DATAWIDTH({NVM_WIDTH_net_busnet_1, 
        NVM_WIDTH_net_busnet_0}), .REN(NVM_REN_net), .WEN(
        NVM_WRITE_net), .PROGRAM(NVM_PROGRAM_net), .SPAREPAGE(
        NVM_SPARE_PAGE_net), .AUXBLOCK(NVM_AUX_BLOCK_net), .READNEXT(
        NVM_READ_NEXT_net), .ERASEPAGE(NVM_ERASE_PAGE_net), 
        .UNPROTECTPAGE(NVM_UNPROT_PAGE_net), .DISCARDPAGE(
        NVM_DISCARD_PAGE_net), .OVERWRITEPROTECT(
        NVM_OVERWRITE_PROT_net), .PAGELOSSPROTECT(
        NVM_PAGELOSS_PROT_net), .CLK(NVM_CLK_net), .RESET(SYS_RESET), 
        .PAGESTATUS(NVM_PAGE_STATUS_net), .OVERWRITEPAGE(
        NVM_OVERWRITE_PAGE_net), .PIPE(GND_net), .LOCKREQUEST(
        NVM_LOCK_net));
    NVM_sys_init_wrapper NVM_sys_init_wrapper_inst (.CLK(INIT_CLK), 
        .USER_CLK(INIT_CLK), .NRESET(SYS_RESET), .CLIENT_DIN({GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net})
        , .CLIENT_AVAIL({GND_net, GND_net, GND_net, GND_net}), 
        .USER_ADD({GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net}), 
        .USER_AUX_BLOCK(GND_net), .USER_DATA({GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net}), .USER_DISCARD_PAGE(GND_net), 
        .USER_ERASE_PAGE(GND_net), .USER_OVERWRITE_PAGE(GND_net), 
        .USER_OVERWRITE_PROT(GND_net), .USER_PAGE_STATUS(GND_net), 
        .USER_PAGELOSS_PROT(GND_net), .USER_PROGRAM(GND_net), 
        .USER_READ(GND_net), .USER_READ_NEXT(GND_net), .USER_LOCK(
        GND_net), .USER_SPARE_PAGE(GND_net), .USER_UNPROT_PAGE(GND_net)
        , .USER_WIDTH({GND_net, GND_net}), .USER_WRITE(GND_net), 
        .USER_SIX_CYCLE(GND_net), .CLIENT_UPDATE(GND_net), .POWER_UP(
        INIT_POWER_UP), .NVM_BUSY(NVM_BUSY_net), .NVM_DAT_FROM({
        NVM_DAT_FROM_net_busnet_31, NVM_DAT_FROM_net_busnet_30, 
        NVM_DAT_FROM_net_busnet_29, NVM_DAT_FROM_net_busnet_28, 
        NVM_DAT_FROM_net_busnet_27, NVM_DAT_FROM_net_busnet_26, 
        NVM_DAT_FROM_net_busnet_25, NVM_DAT_FROM_net_busnet_24, 
        NVM_DAT_FROM_net_busnet_23, NVM_DAT_FROM_net_busnet_22, 
        NVM_DAT_FROM_net_busnet_21, NVM_DAT_FROM_net_busnet_20, 
        NVM_DAT_FROM_net_busnet_19, NVM_DAT_FROM_net_busnet_18, 
        NVM_DAT_FROM_net_busnet_17, NVM_DAT_FROM_net_busnet_16, 
        NVM_DAT_FROM_net_busnet_15, NVM_DAT_FROM_net_busnet_14, 
        NVM_DAT_FROM_net_busnet_13, NVM_DAT_FROM_net_busnet_12, 
        NVM_DAT_FROM_net_busnet_11, NVM_DAT_FROM_net_busnet_10, 
        NVM_DAT_FROM_net_busnet_9, NVM_DAT_FROM_net_busnet_8, 
        NVM_DAT_FROM_net_busnet_7, NVM_DAT_FROM_net_busnet_6, 
        NVM_DAT_FROM_net_busnet_5, NVM_DAT_FROM_net_busnet_4, 
        NVM_DAT_FROM_net_busnet_3, NVM_DAT_FROM_net_busnet_2, 
        NVM_DAT_FROM_net_busnet_1, NVM_DAT_FROM_net_busnet_0}), 
        .NVM_STATUS({NVM_STATUS_net_busnet_1, NVM_STATUS_net_busnet_0})
        , .NVM_ADD({NVM_ADD_net_busnet_17, NVM_ADD_net_busnet_16, 
        NVM_ADD_net_busnet_15, NVM_ADD_net_busnet_14, 
        NVM_ADD_net_busnet_13, NVM_ADD_net_busnet_12, 
        NVM_ADD_net_busnet_11, NVM_ADD_net_busnet_10, 
        NVM_ADD_net_busnet_9, NVM_ADD_net_busnet_8, 
        NVM_ADD_net_busnet_7, NVM_ADD_net_busnet_6, 
        NVM_ADD_net_busnet_5, NVM_ADD_net_busnet_4, 
        NVM_ADD_net_busnet_3, NVM_ADD_net_busnet_2, 
        NVM_ADD_net_busnet_1, NVM_ADD_net_busnet_0}), .NVM_AUX_BLOCK(
        NVM_AUX_BLOCK_net), .NVM_DAT_TO({NVM_DAT_TO_net_busnet_31, 
        NVM_DAT_TO_net_busnet_30, NVM_DAT_TO_net_busnet_29, 
        NVM_DAT_TO_net_busnet_28, NVM_DAT_TO_net_busnet_27, 
        NVM_DAT_TO_net_busnet_26, NVM_DAT_TO_net_busnet_25, 
        NVM_DAT_TO_net_busnet_24, NVM_DAT_TO_net_busnet_23, 
        NVM_DAT_TO_net_busnet_22, NVM_DAT_TO_net_busnet_21, 
        NVM_DAT_TO_net_busnet_20, NVM_DAT_TO_net_busnet_19, 
        NVM_DAT_TO_net_busnet_18, NVM_DAT_TO_net_busnet_17, 
        NVM_DAT_TO_net_busnet_16, NVM_DAT_TO_net_busnet_15, 
        NVM_DAT_TO_net_busnet_14, NVM_DAT_TO_net_busnet_13, 
        NVM_DAT_TO_net_busnet_12, NVM_DAT_TO_net_busnet_11, 
        NVM_DAT_TO_net_busnet_10, NVM_DAT_TO_net_busnet_9, 
        NVM_DAT_TO_net_busnet_8, NVM_DAT_TO_net_busnet_7, 
        NVM_DAT_TO_net_busnet_6, NVM_DAT_TO_net_busnet_5, 
        NVM_DAT_TO_net_busnet_4, NVM_DAT_TO_net_busnet_3, 
        NVM_DAT_TO_net_busnet_2, NVM_DAT_TO_net_busnet_1, 
        NVM_DAT_TO_net_busnet_0}), .NVM_DISCARD_PAGE(
        NVM_DISCARD_PAGE_net), .NVM_ERASE_PAGE(NVM_ERASE_PAGE_net), 
        .NVM_OVERWRITE_PAGE(NVM_OVERWRITE_PAGE_net), 
        .NVM_OVERWRITE_PROT(NVM_OVERWRITE_PROT_net), .NVM_PAGE_STATUS(
        NVM_PAGE_STATUS_net), .NVM_PAGELOSS_PROT(NVM_PAGELOSS_PROT_net)
        , .NVM_PROGRAM(NVM_PROGRAM_net), .NVM_READ(NVM_REN_net), 
        .NVM_READ_NEXT(NVM_READ_NEXT_net), .NVM_LOCK(NVM_LOCK_net), 
        .NVM_SPARE_PAGE(NVM_SPARE_PAGE_net), .NVM_UNPROT_PAGE(
        NVM_UNPROT_PAGE_net), .NVM_WIDTH({NVM_WIDTH_net_busnet_1, 
        NVM_WIDTH_net_busnet_0}), .NVM_WRITE(NVM_WRITE_net), 
        .NVM_SIX_CYCLE(), .WORD_COUNT({INIT_ADDR[8], INIT_ADDR[7], 
        INIT_ADDR[6], INIT_ADDR[5], INIT_ADDR[4], INIT_ADDR[3], 
        INIT_ADDR[2], INIT_ADDR[1], INIT_ADDR[0]}), .CLIENT_DOUT({
        INIT_DATA[8], INIT_DATA[7], INIT_DATA[6], INIT_DATA[5], 
        INIT_DATA[4], INIT_DATA[3], INIT_DATA[2], INIT_DATA[1], 
        INIT_DATA[0]}), .CLIENT_DAT_VAL({INIT_TR_WEN, INIT_EV_WEN, 
        INIT_ASSC_WEN, INIT_ACM_WEN}), .SAVE_COMPLETE(), .INIT_DONE(
        INIT_DONE), .USER_DOUT({nc0, nc1, nc2, nc3, nc4, nc5, nc6, nc7, 
        nc8, nc9, nc10, nc11, nc12, nc13, nc14, nc15, nc16, nc17, nc18, 
        nc19, nc20, nc21, nc22, nc23, nc24, nc25, nc26, nc27, nc28, 
        nc29, nc30, nc31}), .USER_DAT_VAL(), .USER_NVM_STATUS({nc32, 
        nc33}), .NVM_CLK(NVM_CLK_net));
    GND GND_power_inst1 (.Y(GND_power_net1));
    VCC VCC_power_inst1 (.Y(VCC_power_net1));
    
endmodule

// _Disclaimer: Please leave the following comments in the file, they are for internal purposes only._

// _CFG_File_Contents_

// nvm_set_engine \
//    -toplevel "NVM_sys" \
//    -HDL Verilog \
//    -die AFS250 \
//    -package "256 FBGA" \
//    -workdir {.} \
//    -commondir {./common} \
//    -verbosity 0
// nvm_set_system \
//    -pipe 0
// nvm_set_analogsystem_config -config_file {Analog}

// _GEN_File_Contents_

// DESIGN:NVM_sys
// DESDIR:D:/Actelprj/VT_Mon_vlog/smartgen\.\NVM_sys
// FAM:Fusion
// MGNCMPL:F
// MGNTIMER:F
// OUTFORMAT:Verilog
// LPMTYPE:LPM_NVM
// LPMHINT:NONE
// CONFIGFILE:NVM_sys.cfg

// _End_Comments_

