`timescale 1 ns/100 ps
// Version: 7.3 7.3.0.29


module PLL_40_10(POWERDOWN,CLKA,LOCK,GLA,GLC,OADIVRST);
input POWERDOWN, CLKA;
output  LOCK, GLA, GLC;
input  OADIVRST;

    wire VCC, GND;
    
    VCC VCC_1_net(.Y(VCC));
    GND GND_1_net(.Y(GND));
    PLL #( .VCOFREQUENCY(40.000) )  Core(.CLKA(CLKA), .EXTFB(GND), 
        .POWERDOWN(POWERDOWN), .GLA(GLA), .LOCK(LOCK), .GLB(), 
        .YB(), .GLC(GLC), .YC(), .OADIV0(GND), .OADIV1(GND), 
        .OADIV2(GND), .OADIV3(GND), .OADIV4(GND), .OADIVHALF(GND), 
        .OADIVRST(OADIVRST), .OAMUX0(GND), .OAMUX1(GND), .OAMUX2(
        VCC), .DLYGLA0(GND), .DLYGLA1(GND), .DLYGLA2(GND), 
        .DLYGLA3(GND), .DLYGLA4(GND), .OBDIV0(GND), .OBDIV1(GND), 
        .OBDIV2(GND), .OBDIV3(GND), .OBDIV4(GND), .OBMUX0(GND), 
        .OBMUX1(GND), .OBMUX2(GND), .DLYYB0(GND), .DLYYB1(GND), 
        .DLYYB2(GND), .DLYYB3(GND), .DLYYB4(GND), .DLYGLB0(GND), 
        .DLYGLB1(GND), .DLYGLB2(GND), .DLYGLB3(GND), .DLYGLB4(GND)
        , .OCDIV0(VCC), .OCDIV1(VCC), .OCDIV2(GND), .OCDIV3(GND), 
        .OCDIV4(GND), .OCMUX0(GND), .OCMUX1(GND), .OCMUX2(VCC), 
        .DLYYC0(GND), .DLYYC1(GND), .DLYYC2(GND), .DLYYC3(GND), 
        .DLYYC4(GND), .DLYGLC0(GND), .DLYGLC1(GND), .DLYGLC2(GND), 
        .DLYGLC3(GND), .DLYGLC4(GND), .FINDIV0(VCC), .FINDIV1(VCC)
        , .FINDIV2(VCC), .FINDIV3(GND), .FINDIV4(GND), .FINDIV5(
        GND), .FINDIV6(GND), .FBDIV0(VCC), .FBDIV1(VCC), .FBDIV2(
        VCC), .FBDIV3(GND), .FBDIV4(GND), .FBDIV5(GND), .FBDIV6(
        GND), .FBDLY0(GND), .FBDLY1(VCC), .FBDLY2(VCC), .FBDLY3(
        GND), .FBDLY4(GND), .FBSEL0(GND), .FBSEL1(VCC), .XDLYSEL(
        GND), .VCOSEL0(GND), .VCOSEL1(GND), .VCOSEL2(GND));
    
endmodule

// _Disclaimer: Please leave the following comments in the file, they are for internal purposes only._


// _GEN_File_Contents_

// Version:7.3.0.29
// ACTGENU_CALL:1
// BATCH:T
// FAM:Fusion
// OUTFORMAT:Verilog
// LPMTYPE:LPM_PLL_STATIC
// LPM_HINT:NONE
// INSERT_PAD:NO
// INSERT_IOREG:NO
// GEN_BHV_VHDL_VAL:F
// GEN_BHV_VERILOG_VAL:F
// MGNTIMER:F
// MGNCMPL:F
// "DESDIR:D:/Actelprj/VT_Mon_vlog/smartgen\PLL_40_10"
// GEN_BEHV_MODULE:T
// SMARTGEN_DIE:IR4X4M1
// SMARTGEN_PACKAGE:fg256
// FIN:40.000000
// CLKASRC:0
// FBDLY:7
// FBMUX:2
// XDLYSEL:0
// PRIMFREQ:40.000000
// PPHASESHIFT:0
// DLYAVAL:1
// OAMUX:4
// SEC2FREQ:10.000000
// UGLC:1
// UYC:0
// GLCDLYVAL:1
// YCDLYVAL:1
// S2PHASESHIFT:0
// OCMUX:4
// POWERDOWN_POLARITY:0
// LOCK_POLARITY:1

// _End_Comments_

