library verilog;
use verilog.vl_types.all;
entity Analog is
    port(
        SYS_CLK         : in     vl_logic;
        SYS_RESET       : in     vl_logic;
        VAREF           : inout  vl_logic;
        DATAVALID       : out    vl_logic;
        AV5V            : in     vl_logic;
        Temp            : in     vl_logic;
        Supply_good     : out    vl_logic;
        Supply_good_en  : in     vl_logic;
        Over_temp       : out    vl_logic;
        Over_temp_en    : in     vl_logic;
        ATRETURN01      : in     vl_logic;
        AV5V_over5p25   : out    vl_logic;
        AV5V_under4p75  : out    vl_logic;
        Temp_over70C    : out    vl_logic;
        ASSC_DONE       : out    vl_logic;
        ASSC_WAIT       : out    vl_logic;
        ASSC_CHSAT      : out    vl_logic;
        ASSC_CHLATD     : out    vl_logic;
        INIT_ADDR       : in     vl_logic_vector(8 downto 0);
        INIT_DATA       : in     vl_logic_vector(8 downto 0);
        INIT_ACM_WEN    : in     vl_logic;
        INIT_ASSC_WEN   : in     vl_logic;
        INIT_EV_WEN     : in     vl_logic;
        INIT_TR_WEN     : in     vl_logic;
        INIT_DONE       : in     vl_logic;
        ACMCLK          : in     vl_logic;
        ACMRDATA_I      : out    vl_logic_vector(7 downto 0)
    );
end Analog;
